BIO_PRINTF(3)

NAME
BIO_printf - formatted output to a BIO

SYNOPSIS
#include <openssl/bio.h>
int
BIO_printf(BIO *bio, const char *format, ...);

DESCRIPTION
BIO_printf() is a wrapper around vfprintf(3), sending the output to the specified bio.

RETURN VALUES
These functions return the number of bytes written, or -1 if an error occurs.

SEE ALSO
BIO_new(3)

HISTORY
BIO_printf() first appeared in SSLeay 0.6.5 and has been available since OpenBSD 2.4.